<?php
  // Create menu
  $title = __('Documentation', 'zara_configurator');
  zc_menu($title);
?>


<div class="mb-body">

  <!-- GENERAL INFORMATION -->
  <div class="mb-box">
    <div class="mb-head"><i class="fa fa-question-circle"></i> <?php _e('General information', 'zara_configurator'); ?></div>

    <div class="mb-inside">
      <div class="mb-row"><?php _e('Zara Configurator plugin is extension of Zara theme, providing extra functionalities in terms of design and advertisement. Please note that this plugin will not work if Zara theme is not installed.', 'zara_configurator'); ?></div>
      <div class="mb-row"><?php _e('If you finish configuration, do not forget to click on Save button. To cancel changes, click on Reset button. To get default configuration, reinstall plugin.', 'zara_configurator'); ?></div>
      <div class="mb-row"><?php _e('Configuration section on front page is shown just in case you are logged in as admin in same browser as front page is shown. Configuration section is not visible on mobile and tablet devices.', 'zara_configurator'); ?></div>
    </div>
  </div>


  <!-- COLORS & FONTS -->
  <div class="mb-box">
    <div class="mb-head"><i class="fa fa-paint-brush"></i> <?php _e('Colors and Fonts', 'zara_configurator'); ?></div>

    <div class="mb-inside">
      <div class="mb-row"><?php _e('In this section you can choose default color scheme and font for your classified.', 'zara_configurator'); ?></div>
      <div class="mb-row"><?php _e('If you want to modify style sheet of some color scheme, you can find css files in folder: oc-content/plugins/zara_configurator/css/color', 'zara_configurator'); ?></div>
    </div>
  </div>


  <!-- LAYOUT -->
  <div class="mb-box">
    <div class="mb-head"><i class="fa fa-television"></i> <?php _e('Layout', 'zara_configurator'); ?></div>

    <div class="mb-inside">
      <div class="mb-row mb-u"><?php _e('Global', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show partners block', 'zara_configurator'); ?></strong> - <?php _e('Enable block with logos of your partners in footer. You can change images in folder oc-content/themes/zara/images/sponsor-logos and add/remove some of them in file oc-content/themes/zara/footer.php', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show footer extra block', 'zara_configurator'); ?></strong> - <?php _e('Enable block in footer with additional information (List of categories, CMS pages, Subscribe block, Quick post block)', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Enable theme cookies', 'zara_configurator'); ?></strong> - <?php _e('Enable saving search parameters into cookies, so when user come back to your site or go back to search page, last parameters are stored and used. Following parameters are stored: Category, Country, Region, City, Seller type (All / Personal / Company) and Show as (grid / list).', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Enable image lazy load', 'zara_configurator'); ?></strong> - <?php _e('Enable "lazy load" of images in item list. It means that images are loaded on time when user scroll down and shown using fadeIn effect.', 'zara_configurator'); ?></div>

      <div class="mb-row">&nbsp;</div>


      <div class="mb-row mb-u"><?php _e('Home page', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show slider', 'zara_configurator'); ?></strong> - <?php _e('Enable OSC Slider plugin to be shown on home page. Note that you need to install OSC Slider Plugin first, it is delivered in theme plugins.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Make slider full-width', 'zara_configurator'); ?></strong> - <?php _e('Width of OSC Slider plugin will be set to 100% of device width, removing max-width of 1200px.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show top search bar', 'zara_configurator'); ?></strong> - <?php _e('Shows top search block that is between logo and publish button in header on home page. It is useful to disable it in case you are using Video block on homepage, as this one also provides search functionality.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show video search block', 'zara_configurator'); ?></strong> - <?php _e('Shows search block on home page that\'s background is video. Note that this block will be hidden on mobile & tablet devices. You can change video to your own in folder: oc-content/themes/zara/video. Make sure to keep naming convention and upload also poster.jpg that is shown until video is loaded.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show category block', 'zara_configurator'); ?></strong> - <?php _e('Shows list of categories in header on home page.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show extra premium block', 'zara_configurator'); ?></strong> - <?php _e('Shows block with premium listings only on home page. You can define how many listings should be shown in this block in setting: "Number of items in home premium block". Note that this block is hidden on mobile & tablet devices.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show latest items block', 'zara_configurator'); ?></strong> - <?php _e('Shows list of latest items on home page. Note that there are different parameters that can be set for this block in configuration of Zara theme (oc-admin > Appearance > Theme Settings). This block is hidden on mobile & tablet devices.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show location selector', 'zara_configurator'); ?></strong> - <?php _e('Shows button on home page that allows to user to enter location and go to search. This button is shown under block of categories in header.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show map block', 'zara_configurator'); ?></strong> - <?php _e('Shows list of latest items on map, using Radius Search Plugin (author: MB Themes). This plugin is premium and you need to purchase it separately.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Number of items in home premium block', 'zara_configurator'); ?></strong> - <?php _e('Define how many premium listings should be shown on home page in premium block.', 'zara_configurator'); ?></div>

      <div class="mb-row">&nbsp;</div>


      <div class="mb-row mb-u"><?php _e('Listing page', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show comment section', 'zara_configurator'); ?></strong> - <?php _e('Shows comment section on item page, where user can see comments and add new comment.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show category block', 'zara_configurator'); ?></strong> - <?php _e('Shows list of categories in header on item page.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show full-width map', 'zara_configurator'); ?></strong> - <?php _e('Shows google map not in right sidebar, but under categories block as full-width. You need to install Google Maps plugin delivered with theme first.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Stick right sidebar', 'zara_configurator'); ?></strong> - <?php _e('Sticks right sidebar on item page, so when user scroll down or up, sidebar is still visible and on fixed position.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Number of images in image slider', 'zara_configurator'); ?></strong> - <?php _e('Define how many item pictures should be shown in image block on item page. By default 2 pictures are shown at once.', 'zara_configurator'); ?></div>

      <div class="mb-row">&nbsp;</div>


      <div class="mb-row mb-u"><?php _e('Category/Search', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show premiums block', 'zara_configurator'); ?></strong> - <?php _e('Show separate block with premium listings on search page. Note that his block is integrated with other listings, but these premium listings are highlighted.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Stick left search sidebar', 'zara_configurator'); ?></strong> - <?php _e('Sticks left search sidebar on search page, so when user scroll down or up, sidebar is still visible and on fixed position.', 'zara_configurator'); ?></div>

      <div class="mb-row">&nbsp;</div>


      <div class="mb-row mb-u"><?php _e('Other', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Show category block', 'zara_configurator'); ?></strong> - <?php _e('Show list of categories in header on particular pages', 'zara_configurator'); ?></div>

    </div>
  </div>


  <!-- BANNER SETTINGS -->
  <div class="mb-box">
    <div class="mb-head"><i class="fa fa-money"></i> <?php _e('Banner Settings', 'zara_configurator'); ?></div>

    <div class="mb-inside">
      <div class="mb-row"><strong><?php _e('Choose banner', 'zara_configurator'); ?></strong> - <?php _e('Select banner you want to modify. There is more than 15 banners define in Zara theme, so you can simply add your own code here. To highlight banner places to see where banner is located, enable "Highlight banners for admin".', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Choose banner group', 'zara_configurator'); ?></strong> - <?php _e('This setting requires to have installed Advertisement Manager plugin (author: MB Themes). It allows you to simply attach banner groups into Zara theme. Note that if banner group is selected, code defined for banner will be ignored.', 'zara_configurator'); ?></div>
      <div class="mb-row"><strong><?php _e('Code', 'zara_configurator'); ?></strong> - <?php _e('Define code you want to show on banner place. It can be javascript (use tags!), html or simple text. Note that we do not provide styling of your banners!', 'zara_configurator'); ?></div>
      <div class="mb-row"><?php _e('Note that you can set just 1 banner at same time. If you define banner, click on Save button, otherwise if you change banner, updates will be lost.', 'zara_configurator'); ?></div>
    </div>
  </div>


  <!-- POSITIONING -->
  <div class="mb-box">
    <div class="mb-head"><i class="fa fa-clone"></i> <?php _e('Positioning', 'zara_configurator'); ?></div>

    <div class="mb-inside">

      <div class="mb-row"><?php _e('This plugin allows to set order of blocks on home, search and item page. If you want to reset order to defaul, click on small refresh icon in right top corner in each section.', 'zara_configurator'); ?></div>
      <div class="mb-row"><?php _e('When you have set blocks into position you prefer, do not forget to click on Save button', 'zara_configurator'); ?></div>
      <div class="mb-row"><?php _e('To most of blocks are related banners. If block is not shown, banner will not be shown as well.', 'zara_configurator'); ?></div>
      <div class="mb-row"><?php _e('Note that some blocks are related to plugins (free or premium). If plugin is not installed, block will be ignored and nothing will be shown.', 'zara_configurator'); ?></div>
    </div>
  </div>
</div>

<?php echo zc_footer(); ?>
	