<?php
/*
  Plugin Name: Zara Configurator
  Plugin URI: http://www.mb-themes.com
  Description: Plugin provide advanced level of customizations for Zara theme.
  Version: 1.0.0
  Author: MB Themes
  Author URI: http://www.mb-themes.com
  Author Email: info@mb-themes.com
  Short Name: zara_theme
  Plugin update URI: zara-theme
  Support URI: http://forums.mb-themes.com/zara-osclass-responsive-theme/
*/


require_once 'functions.php';


function zc_install() {
  osc_set_preference('zc_color', '', 'zara_configurator', 'STRING');
  osc_set_preference('zc_partner', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_footer', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_cookies', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_top_search', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_banner_highlight', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_lazy_load', 1, 'zara_configurator', 'INTEGER');

  osc_set_preference('zc_slider', 0, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_slider_full_width', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_video', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_home_cat', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_home_premium', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_home_premium_count', 6, 'zara_configurator', 'INTEGER');

  osc_set_preference('zc_latest', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_location', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_home_map', 1, 'zara_configurator', 'INTEGER');

  osc_set_preference('zc_comment', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_item_cat', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_map_full', 0, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_stick', 0, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_slider_slides', 2, 'zara_configurator', 'INTEGER');

  osc_set_preference('zc_cat_premium', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_search_stick', 1, 'zara_configurator', 'INTEGER');

  osc_set_preference('zc_reg_cat', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_pub_cat', 1, 'zara_configurator', 'INTEGER');
  osc_set_preference('zc_ua_cat', 1, 'zara_configurator', 'INTEGER');

  osc_set_preference('zc_home_sort', '1,2,3,4,5', 'zara_configurator', 'STRING');
  osc_set_preference('zc_cat_sort', '1,2', 'zara_configurator', 'STRING');
  osc_set_preference('zc_item_sort', '1,2', 'zara_configurator', 'STRING');
  osc_set_preference('zc_item_main_sort', '1,2,3,4,5', 'zara_configurator', 'STRING');
}



function zc_uninstall() {
  osc_delete_preference('zc_color', 'zara_configurator');
  osc_delete_preference('zc_partner', 'zara_configurator');
  osc_delete_preference('zc_footer', 'zara_configurator');
  osc_delete_preference('zc_cookies', 'zara_configurator');
  osc_delete_preference('zc_top_search', 'zara_configurator');
  osc_delete_preference('zc_banner_highlight', 'zara_configurator');
  osc_delete_preference('zc_lazy_load', 'zara_configurator');
  osc_delete_preference('zc_slider', 'zara_configurator');
  osc_delete_preference('zc_slider_full_width', 'zara_configurator');
  osc_delete_preference('zc_video', 'zara_configurator');
  osc_delete_preference('zc_home_cat', 'zara_configurator');
  osc_delete_preference('zc_home_premium', 'zara_configurator');
  osc_delete_preference('zc_home_premium_count', 'zara_configurator');
  osc_delete_preference('zc_latest', 'zara_configurator');
  osc_delete_preference('zc_location', 'zara_configurator');
  osc_delete_preference('zc_home_map', 'zara_configurator');
  osc_delete_preference('zc_comment', 'zara_configurator');
  osc_delete_preference('zc_item_cat', 'zara_configurator');
  osc_delete_preference('zc_map_full', 'zara_configurator');
  osc_delete_preference('zc_stick', 'zara_configurator');
  osc_delete_preference('zc_slider_slides', 'zara_configurator');
  osc_delete_preference('zc_cat_premium', 'zara_configurator');
  osc_delete_preference('zc_search_stick', 'zara_configurator');
  osc_delete_preference('zc_reg_cat', 'zara_configurator');
  osc_delete_preference('zc_pub_cat', 'zara_configurator');
  osc_delete_preference('zc_ua_cat', 'zara_configurator');
  osc_delete_preference('zc_home_sort', 'zara_configurator');
  osc_delete_preference('zc_cat_sort', 'zara_configurator');
  osc_delete_preference('zc_item_sort', 'zara_configurator');
  osc_delete_preference('zc_item_main_sort', 'zara_configurator');
}



osc_add_hook('header', 'zc_config_form');

function zc_scripts() {
  if(osc_is_admin_user_logged_in() or (function_exists('zara_is_demo') && zara_is_demo())) {
    osc_register_script('zara-switch', osc_base_url() . 'oc-content/plugins/zara_configurator/js/bootstrap-switch.js');
    osc_register_script('zara-configurator', osc_base_url() . 'oc-content/plugins/zara_configurator/js/configurator.js');

    osc_enqueue_style('zara-configurator', osc_base_url() . 'oc-content/plugins/zara_configurator/css/configurator.css');
    osc_enqueue_style('zara-switch', osc_base_url() . 'oc-content/plugins/zara_configurator/css/bootstrap-switch.css');

    osc_enqueue_script('zara-configurator');
    osc_enqueue_script('zara-switch');
  }
}

osc_add_hook('header', 'zc_scripts');




// SAVE PREFERENCES TO COOKIES, WHEN ADMIN IS NOT LOGGED IN. OTHERWISE SAVE PERMANENTLY
if( !osc_is_admin_user_logged_in() ) {
  zc_params_to_cookies();
} else {
  zc_params_save();
}



// ADD JAVASCRIPT VARIABLES CONTAINING INFORMATION ABOUT BANNERS INTO FOOTER
osc_add_hook('after_html', 'zc_banner_js');



// RESET PARAMETERS
if( Params::getParam('zcf_reset') == 1 ) {
  zc_params_drop();
}



// DISPLAY CONFIGURE LINK IN PLUGIN LIST
function zc_configure_link() {
  osc_admin_render_plugin( osc_plugin_path( dirname(__FILE__) ) . '/admin/configure.php' ) ;
}



// PLUGIN ADMIN - HEADER
function zc_menu($title = NULL) {
  echo '<link href="' . osc_base_url() . 'oc-content/plugins/zara_configurator/css/admin.css" rel="stylesheet" type="text/css" />';
  echo '<link href="' . osc_base_url() . 'oc-content/plugins/zara_configurator/font/FontAwesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />';
  echo '<script src="' . osc_base_url() . 'oc-content/plugins/zara_configurator/js/admin.js"></script>';

  if( $title == '') { $title = __('Configure', 'zara_configurator'); }

  $text  = '<div class="mb-head">';
  $text .= '<div class="mb-head-left">';
  $text .= '<h1>' . $title . '</h1>';
  $text .= '<h2>Zara Configurator Plugin</h2>';
  $text .= '</div>';
  $text .= '<div class="mb-head-right">';
  $text .= '<ul class="mb-menu">';
  $text .= '<li><a href="' . osc_base_url() . 'oc-admin/index.php?page=plugins&action=renderplugin&file=zara_configurator/admin/configure.php"><i class="fa fa-wrench"></i><span>' . __('Configure', 'zara_configurator') . '</span></a></li>';
  $text .= '</ul>';
  $text .= '</div>';
  $text .= '</div>';

  echo $text;
}



// PLUGIN ADMIN - FOOTER
function zc_footer() {
  $pluginInfo = osc_plugin_get_info('zara_configurator/index.php');
  $text  = '<div class="mb-footer">';
  $text .= '<a target="_blank" class="mb-developer" href="http://mb-themes.com"><img src="http://mb-themes.com/favicon.ico" alt="MB Themes" /> MB-Themes.com</a>';
  $text .= '<a target="_blank" href="' . $pluginInfo['support_uri'] . '"><i class="fa fa-bug"></i> ' . __('Report Bug', 'zara_configurator') . '</a>';
  $text .= '<a target="_blank" href="http://forums.mb-themes.com/"><i class="fa fa-comments"></i> ' . __('Support Forums', 'zara_configurator') . '</a>';
  $text .= '<a target="_blank" class="mb-last" href="mailto:info@mb-themes.com"><i class="fa fa-envelope"></i> ' . __('Contact Us', 'zara_configurator') . '</a>';
  $text .= '<span class="mb-version">v' . $pluginInfo['version'] . '</span>';
  $text .= '</div>';

  return $text;
}


osc_register_plugin(osc_plugin_path(__FILE__), 'zc_install');
osc_add_hook(osc_plugin_path(__FILE__) . '_uninstall', 'zc_uninstall');
osc_add_hook( osc_plugin_path( __FILE__ ) . '_configure', 'zc_configure_link' );

?>