$(document).ready(function(){

  // CHECKBOX & RADIO SWITCH
  $.fn.bootstrapSwitch.defaults.size = 'mini';
  $.fn.bootstrapSwitch.defaults.labelWidth = '0px';
  $.fn.bootstrapSwitch.defaults.handleWidth = '25px';

  $('input[type="checkbox"][name^="zc"]').bootstrapSwitch();


  // SORTABLE OPTIONS FOR HOME, CATEGORY AND ITEM PAGE
  // Home
  $(".zc-home-sort").sortable({
    items: "li:not(.ui-state-disabled)",
    placeholder: "ui-state-highlight",
    stop : function(event, ui){
      $('#zc_home_sort').val($(this).sortable('toArray'));
    }
  });



  // Category
  $(".zc-cat-sort").sortable({
    items: "li:not(.ui-state-disabled)",
    placeholder: "ui-state-highlight",
    stop : function(event, ui){
      $('#zc_cat_sort').val($(this).sortable('toArray'));
    }
  });


  // Item
  $(".zc-item-sort").sortable({
    items: ">li:not(.ui-state-disabled)",
    placeholder: "ui-state-highlight",
    connectWith: false,
    stop : function(event, ui){
      $('#zc_item_sort').val($(this).sortable('toArray'));
    }
  });


  // Item Main Block
  $(".zc-item-main-sort").sortable({
    items: ">li:not(.ui-state-disabled)",
    placeholder: "ui-state-highlight",
    connectWith: false,
    stop : function(event, ui){
      $('#zc_item_main_sort').val($(this).sortable('toArray'));
    }
  });


  // Disable selection on sortable blocks
  $( ".zc-sortable" ).disableSelection();


  // Add original position IDs to li
  $( ".zc-sortable" ).find('li').each(function(){
    $(this).attr('data-content', $(this).attr('id'));
  });


  
  // SORTABLE - GET DEFAULT SORT
  $(".zc-sort-refresh").click(function (e) {

    e.preventDefault();
    sort( $(this).parent() );


    // Update values
    if( $(this).parent().hasClass( 'zc-home-sort' ) ) {
      $('#zc_home_sort').val($(this).parent().sortable('toArray'));
    } else if ( $(this).parent().hasClass( 'zc-cat-sort' ) ) {
      $('#zc_cat_sort').val($(this).parent().sortable('toArray'));
    } else if ( $(this).parent().hasClass( 'zc-item-sort' ) ) {
      $('#zc_item_sort').val($(this).parent().sortable('toArray'));
    } else if ( $(this).parent().hasClass( 'zc-item-main-sort' ) ) {
      $('#zc_item_main_sort').val($(this).parent().sortable('toArray'));
    }
  });


  function sort( sortBlock ) {
    var sortableList = $( sortBlock );
    var listitems = $( $(sortBlock).children('li'), sortableList);

    listitems.sort(function (a, b) {
      return (parseInt($(a).attr('id')) > parseInt($(b).attr('id'))) ? 1 : -1;
    });
    
    sortableList.append( listitems );
  }



  function sortIds( sortBlock ) {
    var sortableList = $( sortBlock );
    var listitems = $( $(sortBlock).children('li:not(.ui-state-disabled)'), sortableList);

    listitems.sort(function (a, b) {
      return (parseInt($(a).attr('id')) > parseInt($(b).attr('id'))) ? 1 : -1;
    });
    
    sortableList.append( listitems );
  }



  // COLOR CHANGE
  $('#color-box').find('li').click(function() {
    $('input#zc_color').val( $(this).attr('class') );
    $('#color-box').find('li').attr('rel', '');
    $(this).attr('rel', 'selected');
  });



  // MANAGE VALUES FOR CHECKBOXES AND SAVE THEM TO NORMAL INPUTS
  $('.zc-check').click(function() {
    var check_name = $(this).attr('name');
    var input_name = check_name.replace('_check', '');

    if( $('#' + check_name).is(':checked') ) {
      $('#' + input_name).val(1);
    } else {
      $('#' + input_name).val(0);
    }
  });



  // MANAGE VALUES FOR CHECKBOXES AND SAVE THEM TO NORMAL INPUTS (bootstrap switch version)
  $('.zc-check').on('switchChange.bootstrapSwitch', function(event, state) {
    var check_name = $(this).attr('name');
    var input_name = check_name.replace('_check', '');

    if( state ) {
      $('#' + input_name).val(1);
    } else {
      $('#' + input_name).val(0);
    }
  });



  // MANAGE VALUES FOR CHECKBOXES AND SAVE THEM TO NORMAL INPUTS
  $('#zc-banner-conf').click(function(e) {
    e.preventDefault();

    var groupId = parseInt($('#zcb_banner_group_id').val());

    if( groupId != '' && groupId > 0) {
      window.open(baseAdminDir + '?page=plugins&action=renderplugin&file=advertisement_manager/admin/create_banner_group.php&banner_id=' + groupId);
    }
  });



  // EDIT BANNER - CLICK ON HEADER TO INITIATE EDIT WINDOW
  $('.zc-banner .zc-banner-edit').click(function() {
    if( adminLogged ) {
      var bannerCode = $(this).parent(".zc-banner").attr("data-banner-code");

      $('#tool_customization').animate({left : '0px'}, 500);
      $('#gear-right').animate({left : '215px'}, 500);
      $('.zc-section').find('.zc-show-hide').fadeOut(0);
      $('.zc-ads').find('.zc-show-hide').fadeIn(200);
      $('.zc-section').find('.zc-click').removeClass('open');
      $('.zc-ads').find('.zc-click').addClass('open');
      $('.zc-section').find('i').removeClass('fa-angle-left').addClass('fa-angle-right');
      $('.zc-ads').find('i').removeClass('fa-angle-right').addClass('fa-angle-left');

      $('#zcb_banner_id option[value=' + bannerCode + ']').attr("selected","selected");
      $('#zcb_banner_group_id option[value=' + eval('banner_' + bannerCode)[0] + ']').attr("selected","selected");


      // If first and last character is ", remove them
      // This happen due to json encoding
      var cont = eval('banner_' + bannerCode)[1];

      if ( cont.charAt( 1 ) == '"' || cont.charAt(cont.length-1) == '"' ) {
        cont = cont.substr(1, cont.length - 2);
      }

      $('#zcb_banner_code').val( cont );
    }
  });



  // OPEN-CLOSE CONFIGURATION WINDOW
  $('#gear-right').click(function(){
      if ($(this).css('left') == '215px') {
        $('#tool_customization').animate({left : '-215px'}, 500);
        $(this).animate({left : '0px'}, 500);
      } else {
        $('#tool_customization').animate({left : '0px'}, 500);
        $(this).animate({left : '215px'}, 500);
      }
    }
  );



  // WHEN CLICK ON MENU ITEM, HIDE ALL OTHERS AND FIX ARROWS
  $('.zc-click').click(function() {
    if ($(this).hasClass('open')) {
      $('.zc-section').find('i').removeClass('fa-angle-left').addClass('fa-angle-right');
      $('.zc-section').find('.zc-click').removeClass('open');
      $('.zc-show-hide').fadeOut(200);
    } else {
      $('.zc-section').find('i').removeClass('fa-angle-left').addClass('fa-angle-right');
      $(this).find('i').removeClass('fa-angle-right').addClass('fa-angle-left');
      $('.zc-section').find('.zc-click').removeClass('open');
      $(this).addClass('open');
      $('.zc-show-hide').fadeOut(0);
      $(this).parent().find('.zc-show-hide').fadeIn(200);
    }
  });



  // WHEN CLICK ON RIGHT ARROW, HIDE EXTRA MENU
  $('.zc-show-hide > span.zc-close').click(function() {
    $('.zc-section').find('i').removeClass('fa-angle-left').addClass('fa-angle-right');
    $('.zc-section').find('.zc-click').removeClass('open');
    $('.zc-show-hide').fadeOut(200);
  });



  // WHEN SELECTED DIFFERENT BANNER FROM CONFIGURATION MENU, UPDATE BANNER GROUP AND CODE
  // To support this, there exists php function zc_banner_js()
  $('#zcb_banner_id').change(function() {
    if( adminLogged) {
      var bannerCode = $(this).val();
      var bannerId = '"' + eval('banner_' + bannerCode)[0] + '"';

      //$('#zcb_banner_group_id option[value=' + eval('banner_' + bannerCode)[0] + ']').attr("selected","selected");
      $('#zcb_banner_group_id option[value=' + bannerId + ']').attr("selected","selected");

      var cont = eval('banner_' + bannerCode)[1];
      cont = decodeURIComponent(cont);

      $('#zcb_banner_code').val( cont );
    }
  });


  $('#conf-form').show(0);



});
